cURL
curl --request GET \ --url https://api.example.com/api/aviation/v1/list-aviation-news
{ "items": [ { "id": "<string>", "title": "<string>", "url": "<string>", "sourceName": "<string>", "publishedAt": 123, "snippet": "<string>", "matchedEntities": [ "<string>" ], "imageUrl": "<string>" } ], "source": "<string>", "updatedAt": 123 }
ListAviationNews retrieves filtered aviation news articles.
Entities to filter by (airline names, airport codes, route strings).
Time window in hours to look back (1-168).
Maximum number of news items to return (1-50).
Successful response
ListAviationNewsResponse contains filtered aviation news items.
Show child attributes
Data source identifier.
Last update time as Unix epoch milliseconds.. Warning: Values > 2^53 may lose precision in JavaScript
Was this page helpful?